> Author : Zhihui Li
>
> E-mail：[18210700119@fudan.edu.cn](mailto:18210700119@fudan.edu.cn)
>
> Git: <http://choppy.3steps.cn/lizhihui/fastqc.git>
>
> Last Updates: 28/08/2019

## 简介

FastQC是一款常用的二代测序数据质量评估软件，该软件使用Java编写，可以快速多线程地对测序数据进行质量评估。并最终生成一份评估报告，包含多项内容，如测序reads碱基质量、GC含量、reads长度、k-mer分布等信息，以便我们快速得知测序数据质量。`fastqc`是用于 [Choppy-pipe](http://choppy.3steps.cn/) 系统使用的 APP。

## 快速安装及使用

#### Requirements

- Python 3
- [choppy](http://choppy.3steps.cn/)
- Ali-Cloud

在终端中输入以下命令即可快速安装本APP。

```bash
1.安装
$ source activate choppy-py3
$ choppy install lizhihui/fastqc
$ choppy apps
2.使用
$ choppy samples fastqc-latest --out Projectname_fastqc_date_people.csv
$ choppy batch fastqc-latest Projectname_fastqc_date_people.csv --project-name Projectname_fastqc_date_people
```

## 使用方法

### 任务的准备

按照上述步骤安装成功之后，可以通过下面简单的命令即可使用APP：

```bash
# Generate samples file
$ choppy samples fastqc-latest --out Projectname_fastqc_date_people.csv
```

`Projectname_fastqc_date_people.csv` 包含以下几个需要填写的参数：

- 文件中必须包含的列为：
  - sample_id：样本名称，该名称将自动作为生成结果文件的前缀名
  - read1：原始FASTQ文件所在的OSS路径（仅R1）
  - read2：原始FASTQ文件所在的OSS路径（仅R2）

```bash
read1,read2,sample_id
# read1  		双端测序数据的R1端在阿里云上的路径信息
# read2  		双端测序数据的R2端在阿里云上的路径信息
# sample_id		每个样本任务的识别码。注意：同一个samples文件中，不同样本的ID应该不同
```

### 任务提交

在配置好`Projectname_fastqc_date_people.csv` 文件后，使用以下命令可以提交计算任务：

```bash
$ choppy batch fastqc-latest Projectname_fastqc_date_people.csv --project-name Projectname_fastqc_date_people
```

提交成功后，即可在工作目录下找到生成的目录名为Projectname_fastqc_date_people，里面包含了本次提交任务的二代数据质量评估结果。

### 任务输出

任务成功结束后，便可以在阿里云相应的OSS端生成相应的结果文件。包括二代数据质量评估结果的`html`、`zip`文件。

## APP流程概述

​    FastQC软件使用Java编写，可以快速多线程地对测序数据进行质量评估。并最终生成一份评估报告，包含多项内容，如测序reads碱基质量、GC含量、reads长度、k-mer分布等信息，以便我们快速得知测序数据质量。



## 输出文件说明

运行APP后，

每个sample对应一个文件夹，内部结构如下：

- call-fastq_screen
		- shard-0
		- <sample_id> _R1_fastqc.html
  - <sample_id> _R1_fastqc.zip
		
	
		- shard-1
		- <sample_id> _R2_fastqc.html
	- <sample_id> _R2_fastqc.zip




## 软件版本及参数

###软件版本

fastqc: v0.11.5



### 使用参数

1.disk_size: 150

2.cluster_config: OnDemand bcs.a2.large img-ubuntu-vpc



## 参考文献

[1]FastQ Screen: A tool for multi-genome mapping and quality control
[2]http://www.bioinformatics.babraham.ac.uk/projects/fastqc/Help/






